tigase.jaxmpp.core.client.xmpp.modules.muc

## Class AbstractRoomsManager

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.muc.AbstractRoomsManager

- Direct Known Subclasses:
    AndroidRoomsManager, DefaultRoomsManager

      public abstract class AbstractRoomsManager
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Context` | `context`
    `protected Map<BareJID,Room>` | `rooms`
    `protected SessionObject` | `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractRoomsManager()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `contains(BareJID roomJid)`
    `protected abstract Room` | `createRoomInstance(BareJID roomJid, String nickname, String password)`
    `Room` | `get(BareJID roomJid)`
    `Collection<Room>` | `getRooms()`
    `protected void` | `initialize()`
    `void` | `register(Room room)`
    `boolean` | `remove(Room room)`
    `void` | `setContext(Context context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### context

          protected Context context

    - #### rooms

          protected final Map<BareJID,Room> rooms

    - #### sessionObject

          protected SessionObject sessionObject

  - ### Constructor Detail

    - #### AbstractRoomsManager

          public AbstractRoomsManager()

  - ### Method Detail

    - #### contains

          public boolean contains(BareJID roomJid)

    - #### createRoomInstance

          protected abstract Room createRoomInstance(BareJID roomJid,
                                                     String nickname,
                                                     String password)

    - #### get

          public Room get(BareJID roomJid)

    - #### getRooms

          public Collection<Room> getRooms()

    - #### initialize

          protected void initialize()

    - #### register

          public void register(Room room)

    - #### remove

          public boolean remove(Room room)

    - #### setContext

          public void setContext(Context context)

Copyright © 2006–2016 Tigase. All rights reserved.